Bug 120478 - %post scriptlet for policy-1.10.1-4 package failed
Summary: %post scriptlet for policy-1.10.1-4 package failed
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: policy   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-04-09 05:32 UTC by Michal Jaegermann
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-12 15:39:24 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Michal Jaegermann 2004-04-09 05:32:57 UTC
Description of problem:

I got the following when installing 'policy' while selinux
was turned off:

   8:policy                 warning:
/etc/security/selinux/file_contexts created as
/etc/security/selinux/file_contexts.rpmnew
########################################### [ 12%]
warning: /etc/security/selinux/policy.16 created as
/etc/security/selinux/policy.16.rpmnew
error: %post(policy-1.10.1-4) scriptlet failed, exit status 1

As this script looks like follows:

[ -x /usr/bin/selinuxenabled ] && /usr/bin/selinuxenabled && 
/usr/sbin/load_policy /etc/security/selinux/policy.`cat
/selinux/policyvers`

I am somewhat at loss here.  A non-escaped EOL on the first line?
It would seem that trailing '&&' would be enough but maybe
in a context that executes this makes a difference?

Version-Release number of selected component (if applicable):
policy-1.10.1-4

Comment 1 Daniel Walsh 2004-04-12 15:39:24 UTC
policy-1.11.1-1

Fixes this.  Basically if the script does not execute anything then it
exits with an error.  So I had to add an exit 0 after this line.

Dan


Note You need to log in before you can comment on or make changes to this bug.